/**
 * OW2 Util
 * Copyright (C) 2011 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: IProtocolConfigRegistry.java 5690 2011-01-05 20:34:57Z loris $
 * --------------------------------------------------------------------------
 */
package org.ow2.util.protocol.api;

/**
 * Defines a registry to store the protocol configurations.
 *
 * @author Loris Bouzonnet
 */
public interface IProtocolConfigRegistry {

    ProtocolConfig getProtocolConfig(String id);

    void addProtocolConfig(String id, ProtocolConfig config);

    void removeProtocolConfig(String id);

}
